{% extends "media.twig" %}

{% block article_content %}
    <div class="posts">
        {% for post in posts %}
            {% if loop.index0 > 0 %}<hr>{% endif %}
            <div class="posts__post">
                <h3><a href="{{ post.link }}">{{ post.title }}</a></h3>
                <p>
                    {% if post.meta('publisher_link') %}
                        <a href="{{ post.meta('publisher_link') }}" target="_blank">{{ post.meta('publisher_name') }}</a>
                        &mdash;
                    {% endif %}
                    <time datetime="{{ post.datetime|date('Y-m-d H:i:s') }}">{{ post.date|date('l, d. F Y') }}</time>
                </p>
                <p>{{ post.preview.read_more('Mehr lesen') }}</p>
            </div>
        {% endfor %}
    </div>

    {% include 'partial/pagination.twig' with { pagination: posts.pagination({ show_all: false, mid_size: 3, end_size: 2 }) } %}
{% endblock %}
